Exchange client credentials for a JWT access token. This is the entry-point for
curl --request POST \
--url https://api.getenso.ai/auth/system-login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clientKey": "ck_live_...",
"clientSecret": "cs_live_..."
}
'import requests
url = "https://api.getenso.ai/auth/system-login"
payload = {
"clientKey": "ck_live_...",
"clientSecret": "cs_live_..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({clientKey: 'ck_live_...', clientSecret: 'cs_live_...'})
};
fetch('https://api.getenso.ai/auth/system-login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Success",
"data": {
"accessToken": "eyJhbGciOiJIUzI1NiIsInR5c..."
}
}Authentication
Exchange client credentials for a JWT access token. This is the entry-point for
Exchange client credentials for a JWT access token. This is the entry-point for SystemUser API integrations.
POST
/
auth
/
system-login
Exchange client credentials for a JWT access token. This is the entry-point for
No bearer token required — this endpoint issues the token.
Authorizations
JWT bearer token obtained from POST /auth/system-login using your client credentials.
Body
application/json
⌘I

